
@import "variables.css";
@import "proc/variables.css";

/********************************************
@CHARSET "UTF-8";
 * CSS generales del las páginas de mensajes.
 ********************************************/
* {
    font-family: Arial, Helvetica, FreeSans, "Liberation Sans",
        "Nimbus Sans L", sans-serif;
}

html {
    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(204,204,204,1) 36%, rgba(221,221,221,1) 65%, rgba(255,255,255,1) 100%);
    padding: 50px;
}

body {
    display: block;
    margin: 0 auto;
    width: 500px;
    padding: 5px 30px 30px 30px;
    border: 1px solid #ddd;
    background-color: white;
    border-radius: 10px;
}

div.logoDiv {
    background-image: var(logo);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    width: 100%;
    height: 100px;
}

h1 {
    display: block;
    border-bottom: 1px solid #ccc;
    font-size: large;
}

p {
    font-size: medium;
}

pre {
    font-family: monospace;
    height: 250px;
    background: #ddd;
    overflow: auto;
    border: 1px solid #aaa;
}

a.enlace {
    font-size: x-small;
    float: right;
    margin-top: 15px;
}

button {
  cursor: pointer !important;
  font-family: Noto Sans,Helvetica Neue,sans-serif;
  font-size: 13px;
  line-height: 1.5;
  color: #fff;
  text-transform: uppercase;

  width: 170px;
  height: 30px;
  border-radius: 10px !important;
  background: var(colorPrimario);
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 25px;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;

}

.ingreso-progreso {
    display: block;
    margin: 0 auto 20px;
}

/********************************************
 * FORMULARIO
 ********************************************/
form {
    margin-bottom: 10px;
    border-bottom: 1px solid #ccc;
}

form input[type=text],form input[type=password] {
    margin-left: 20px;
    width: 160px;
    margin-bottom: 5px;
    display: block;
    height:30px !important;
}

form input[type=submit] {
    margin-left: 20px;
    margin-bottom: 20px;
}

form label {
    margin-left: 20px;
    font-size: small;
    font-weight: bold;
    color: #666;
}

#keypad {
    margin: 0 5px 5px 20px;
    width: 75px;
    padding: 5px;
    background: #eee;
    border-radius: 5px;
    background: #eee;
    display: none;
}

#keypad .boton {
    cursor: pointer;
    display: inline-table;
    width: 10px;
    height: 10px;
    padding: 5px;
    margin: 2.5px;
    background: #ddd;
    color: #aaa;
    font-size: x-small;
    text-align: center;
    border-radius: 2px;
}

#instrucciones {
	float: right;
	width: 275px;
}

#instrucciones * {
	font-size: x-small;
}

.wrap_opciones {
    float: right;
    text-align: right;
    margin-top: -25px;
}

#mas_opciones {
    font-size: xx-small;
    margin: 5px;
    color: #999;
}

#opciones {
    background: #eee;
    padding: 10px;
    margin: 5px;
    border: 1px solid #ccc;
    border-radius: 10px;
}

#opciones > label {
    font-weight: normal !important;
    padding: 0;
    margin: 0;
    color: #000;
}

/*//////////////////////////////////////////////////////////////////
[ login ]*/

.limiter {
  width: 100%;
  margin: 0 auto;
}

.container-login100 {
  width: 100%;  
  min-height: 100vh;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 15px;
  background: #9053c7;
  background: -webkit-linear-gradient(-135deg, #c850c0, #4158d0);
  background: -o-linear-gradient(-135deg, #c850c0, #4158d0);
  background: -moz-linear-gradient(-135deg, #c850c0, #4158d0);
  background: linear-gradient(-135deg, #c850c0, #4158d0);
}

.wrap-login100 {
  width: 960px;
  background: #fff;
  border-radius: 10px;
  overflow: hidden;

  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding: 177px 130px 33px 95px;
}

/*------------------------------------------------------------------
[  ]*/
.login100-pic {
  width: 316px;
}

.login100-pic img {
  max-width: 100%;
}


/*------------------------------------------------------------------
[  ]*/
.login100-form {
  width: 290px;
}

.login100-form-title {
  font-family: Noto Sans,Helvetica Neue,sans-serif;
  font-size: 24px;
  color: #333333;
  line-height: 1.2;
  text-align: center;

  width: 100%;
  display: block;
  padding-bottom: 54px;
}


/*---------------------------------------------*/
.wrap-input100 {
  position: relative;
  width: 100%;
  z-index: 1;
  margin-bottom: 10px;
}

.input100 {
  font-family: Noto Sans,Helvetica Neue,sans-serif;
  font-size: 14px;
  line-height: 1.5;

  display: block;
  width: 100%;
  height: 50px;
  border-radius: 10px !important;
  padding: 0 30px 0 50px;
}


/*------------------------------------------------------------------
[ Button ]*/
.container-login100-form-btn {
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding-top: 20px;
}

.login100-form-btn {
  cursor: pointer !important;
  font-family: Noto Sans,Helvetica Neue,sans-serif;
  font-size: 13px;
  line-height: 1.5;
  color: #fff;
  text-transform: uppercase;

  width: 150px;
  height: 30px;
  border-radius: 10px !important;
  background: var(colorPrimario);
  display: -webkit-box;
  display: -webkit-flex;
  display: -moz-box;
  display: -ms-flexbox;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 25px;

  -webkit-transition: all 0.4s;
  -o-transition: all 0.4s;
  -moz-transition: all 0.4s;
  transition: all 0.4s;
}


/*------------------------------------------------------------------
[ Responsive ]*/



@media (max-width: 992px) {
  .wrap-login100 {
    padding: 177px 90px 33px 85px;
  }

  .login100-pic {
    width: 35%;
  }

  .login100-form {
    width: 50%;
  }
}

@media (max-width: 768px) {
  .wrap-login100 {
    padding: 100px 80px 33px 80px;
  }

  .login100-pic {
    display: none;
  }

  .login100-form {
    width: 100%;
  }
}

@media (max-width: 576px) {
  .wrap-login100 {
    padding: 100px 15px 33px 15px;
  }
}
